/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

import java.util.List;

/**
 * OASIS XLIFF の body要素をあらわすバリューオブジェクト。
 */
public class BlancoXliffBody {
    /**
     * フィールド [transUnitList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * 翻訳ユニットのリスト。
     */
    private List fTransUnitList = new java.util.ArrayList();

    /**
     * フィールド [transUnitList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 翻訳ユニットのリスト。
     *
     * @param argTransUnitList フィールド[transUnitList]に格納したい値
     */
    public void setTransUnitList(final List argTransUnitList) {
        fTransUnitList = argTransUnitList;
    }

    /**
     * フィールド[transUnitList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * 翻訳ユニットのリスト。
     *
     * @return フィールド[transUnitList]に格納されている値
     */
    public List getTransUnitList() {
        return fTransUnitList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffBody[");
        buf.append("transUnitList=" + fTransUnitList);
        buf.append("]");
        return buf.toString();
    }
}
